Manifest-Version: 1.0
Bnd-LastModified: 1724323467624
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Kernel
Bundle-SymbolicName: com.liferay.portal.kernel
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 88.0.1
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.admin.kernel.util;version="2.0.0";uses:="c
 om.liferay.portal.kernel.model",com.liferay.announcements.kernel.cons
 tants;version="1.0.0",com.liferay.announcements.kernel.exception;vers
 ion="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.a
 nnouncements.kernel.model;version="4.1.0";uses:="com.liferay.exportim
 port.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.b
 ase,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.be
 an,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.u
 til",com.liferay.announcements.kernel.service;version="2.5.0";uses:="
 com.liferay.announcements.kernel.model,com.liferay.exportimport.kerne
 l.lar,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.o
 rm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json
 webservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 search,com.liferay.portal.kernel.security.access.control,com.liferay.
 portal.kernel.service,com.liferay.portal.kernel.systemevent,com.lifer
 ay.portal.kernel.transaction,com.liferay.portal.kernel.util",com.life
 ray.announcements.kernel.service.persistence;version="3.3.0";uses:="c
 om.liferay.announcements.kernel.exception,com.liferay.announcements.k
 ernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kern
 el.service,com.liferay.portal.kernel.service.persistence,com.liferay.
 portal.kernel.util",com.liferay.announcements.kernel.util;version="2.
 0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ke
 rnel.model,com.liferay.portal.kernel.security.permission,com.liferay.
 portal.kernel.theme",com.liferay.asset.kernel;version="2.0.0";uses:="
 com.liferay.asset.kernel.model,com.liferay.portal.kernel.exception",c
 om.liferay.asset.kernel.action;version="1.1.1";uses:="com.liferay.ass
 et.kernel.model,com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.security.permission,javax.servlet.http",com.liferay.asset.ke
 rnel.exception;version="3.0.0";uses:="com.liferay.asset.kernel.model,
 com.liferay.portal.kernel.exception",com.liferay.asset.kernel.model;v
 ersion="9.1.0";uses:="com.liferay.dynamic.data.mapping.kernel,com.lif
 eray.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.pe
 tra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay.por
 tal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.model.change.tracking,com.li
 feray.portal.kernel.model.wrapper,com.liferay.portal.kernel.portlet,c
 om.liferay.portal.kernel.resource.bundle,com.liferay.portal.kernel.se
 curity.permission,com.liferay.portal.kernel.theme,com.liferay.portal.
 kernel.util,javax.portlet,javax.servlet,javax.servlet.http",com.lifer
 ay.asset.kernel.model.adapter;version="3.1.0";uses:="com.liferay.asse
 t.kernel.model,com.liferay.portal.kernel.model",com.liferay.asset.ker
 nel.service;version="8.0.0";uses:="com.liferay.asset.kernel.model,com
 .liferay.asset.kernel.service.persistence,com.liferay.exportimport.ke
 rnel.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,c
 om.liferay.portal.kernel.cache.thread.local,com.liferay.portal.kernel
 .change.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.increment,com.liferay.por
 tal.kernel.json,com.liferay.portal.kernel.jsonwebservice,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.port
 al.kernel.security.access.control,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.service.change.tracking,com.liferay.portal.k
 ernel.service.permission,com.liferay.portal.kernel.service.persistenc
 e.change.tracking,com.liferay.portal.kernel.systemevent,com.liferay.p
 ortal.kernel.transaction,com.liferay.portal.kernel.util",com.liferay.
 asset.kernel.service.persistence;version="10.0.0";uses:="com.liferay.
 asset.kernel.exception,com.liferay.asset.kernel.model,com.liferay.por
 tal.kernel.dao.orm,com.liferay.portal.kernel.dao.search,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.service,com.liferay.port
 al.kernel.service.persistence,com.liferay.portal.kernel.service.persi
 stence.change.tracking,com.liferay.portal.kernel.util",com.liferay.as
 set.kernel.util;version="2.0.0",com.liferay.asset.kernel.validator;ve
 rsion="2.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay
 .background.task.kernel.util.comparator;version="1.1.0";uses:="com.li
 feray.portal.kernel.backgroundtask,com.liferay.portal.kernel.util",co
 m.liferay.counter.kernel;version="2.2.0",com.liferay.counter.kernel.e
 xception;version="1.0.0";uses:="com.liferay.portal.kernel.exception",
 com.liferay.counter.kernel.model;version="4.1.0";uses:="com.liferay.p
 etra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel
 .annotation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.
 model,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kern
 el.util",com.liferay.counter.kernel.service;version="2.1.0";uses:="co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.transaction",com.liferay.counter.kernel.serv
 ice.persistence;version="2.0.2",com.liferay.document.library.kernel;v
 ersion="1.0.0";uses:="com.liferay.portal.kernel.exception",com.lifera
 y.document.library.kernel.antivirus;version="3.1.0";uses:="com.lifera
 y.portal.kernel.exception",com.liferay.document.library.kernel.docume
 nt.conversion;version="1.0.0",com.liferay.document.library.kernel.exc
 eption;version="4.0.0";uses:="com.liferay.portal.kernel.exception",co
 m.liferay.document.library.kernel.model;version="8.0.0";uses:="com.li
 feray.dynamic.data.mapping.kernel,com.liferay.expando.kernel.model,co
 m.liferay.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.lifer
 ay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.lifera
 y.portal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.lock,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.model.change.tracking,com.liferay.portal.kernel.model.wrapper
 ,com.liferay.portal.kernel.repository.model,com.liferay.portal.kernel
 .util",com.liferay.document.library.kernel.service;version="8.0.0";us
 es:="com.liferay.asset.kernel.model,com.liferay.document.library.kern
 el.exception,com.liferay.document.library.kernel.model,com.liferay.dy
 namic.data.mapping.kernel,com.liferay.exportimport.kernel.lar,com.lif
 eray.petra.function,com.liferay.petra.sql.dsl.query,com.liferay.porta
 l.kernel.cache.thread.local,com.liferay.portal.kernel.change.tracking
 ,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.increment,com.liferay.portal.kernel.jsonw
 ebservice,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.me
 ssaging.async,com.liferay.portal.kernel.model,com.liferay.portal.kern
 el.repository.model,com.liferay.portal.kernel.search,com.liferay.port
 al.kernel.security.access.control,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.service.change.tracking,com.liferay.portal.k
 ernel.service.permission,com.liferay.portal.kernel.service.persistenc
 e.change.tracking,com.liferay.portal.kernel.systemevent,com.liferay.p
 ortal.kernel.transaction,com.liferay.portal.kernel.util",com.liferay.
 document.library.kernel.service.persistence;version="6.0.0";uses:="co
 m.liferay.document.library.kernel.exception,com.liferay.document.libr
 ary.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.portal
 .kernel.service,com.liferay.portal.kernel.service.persistence,com.lif
 eray.portal.kernel.service.persistence.change.tracking,com.liferay.po
 rtal.kernel.util",com.liferay.document.library.kernel.store;version="
 3.1.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.transaction",com.liferay.document.library.kernel.util;version=
 "7.1.0";uses:="com.liferay.document.library.kernel.exception,com.life
 ray.document.library.kernel.model,com.liferay.exportimport.kernel.lar
 ,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.reposi
 tory.model,com.liferay.portal.kernel.search,com.liferay.portal.kernel
 .service,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.ut
 il,com.liferay.portal.kernel.xml,javax.portlet",com.liferay.document.
 library.kernel.util.comparator;version="3.0.0";uses:="com.liferay.doc
 ument.library.kernel.model,com.liferay.portal.kernel.repository.model
 ,com.liferay.portal.kernel.util",com.liferay.document.library.kernel.
 versioning;version="1.0.0";uses:="com.liferay.document.library.kernel
 .model",com.liferay.dynamic.data.mapping.kernel;version="3.0.0";uses:
 ="com.liferay.expando.kernel.model,com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.json,com.liferay.portal.kernel.model,com.
 liferay.portal.kernel.search,com.liferay.portal.kernel.service,com.li
 feray.portal.kernel.theme",com.liferay.expando.kernel.exception;versi
 on="2.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.ex
 pando.kernel.model;version="5.1.0";uses:="com.liferay.petra.sql.dsl,c
 om.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,co
 m.liferay.portal.kernel.bean,com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.json,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.model.change.tracking,com.liferay.portal.kernel.model
 .wrapper,com.liferay.portal.kernel.service,com.liferay.portal.kernel.
 util",com.liferay.expando.kernel.model.adapter;version="3.1.0";uses:=
 "com.liferay.expando.kernel.model,com.liferay.portal.kernel.model",co
 m.liferay.expando.kernel.service;version="1.8.0";uses:="com.liferay.e
 xpando.kernel.model,com.liferay.petra.function,com.liferay.petra.sql.
 dsl.query,com.liferay.portal.kernel.change.tracking,com.liferay.porta
 l.kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.json,com.liferay.portal.kernel.jsonwebservice,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.search,com.liferay.porta
 l.kernel.security.access.control,com.liferay.portal.kernel.service,co
 m.liferay.portal.kernel.service.change.tracking,com.liferay.portal.ke
 rnel.service.persistence.change.tracking,com.liferay.portal.kernel.tr
 ansaction,com.liferay.portal.kernel.util",com.liferay.expando.kernel.
 service.permission;version="1.0.0";uses:="com.liferay.expando.kernel.
 model,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.s
 ecurity.permission",com.liferay.expando.kernel.service.persistence;ve
 rsion="3.2.0";uses:="com.liferay.expando.kernel.exception,com.liferay
 .expando.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.p
 ortal.kernel.service,com.liferay.portal.kernel.service.persistence,co
 m.liferay.portal.kernel.service.persistence.change.tracking,com.lifer
 ay.portal.kernel.util",com.liferay.expando.kernel.util;version="4.0.0
 ";uses:="com.liferay.expando.kernel.model,com.liferay.portal.kernel.s
 ervice",com.liferay.exportimport.kernel.background.task;version="1.3.
 1",com.liferay.exportimport.kernel.configuration;version="5.0.0";uses
 :="com.liferay.exportimport.kernel.model,com.liferay.portal.kernel.ba
 ckgroundtask,com.liferay.portal.kernel.exception,com.liferay.portal.k
 ernel.model,javax.portlet",com.liferay.exportimport.kernel.configurat
 ion.constants;version="1.0.0",com.liferay.exportimport.kernel.control
 ler;version="2.0.0";uses:="com.liferay.exportimport.kernel.lar,com.li
 feray.exportimport.kernel.model",com.liferay.exportimport.kernel.exce
 ption;version="2.0.0";uses:="com.liferay.exportimport.kernel.lar,com.
 liferay.portal.kernel.exception",com.liferay.exportimport.kernel.lar;
 version="4.3.0";uses:="com.liferay.expando.kernel.model,com.liferay.e
 xportimport.kernel.model,com.liferay.portal.kernel.backgroundtask,com
 .liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.lock,com.liferay.portal.kernel.model,com.life
 ray.portal.kernel.repository.model,com.liferay.portal.kernel.service,
 com.liferay.portal.kernel.theme,com.liferay.portal.kernel.util,com.li
 feray.portal.kernel.xml,com.liferay.portal.kernel.zip,javax.portlet",
 com.liferay.exportimport.kernel.lifecycle;version="4.0.0";uses:="com.
 liferay.exportimport.kernel.lar,com.liferay.exportimport.kernel.model
 ,com.liferay.portal.kernel.model",com.liferay.exportimport.kernel.lif
 ecycle.constants;version="1.0.0",com.liferay.exportimport.kernel.mode
 l;version="6.0.0";uses:="com.liferay.petra.sql.dsl,com.liferay.petra.
 sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay.portal.
 kernel.bean,com.liferay.portal.kernel.model,com.liferay.portal.kernel
 .model.wrapper,com.liferay.portal.kernel.util",com.liferay.exportimpo
 rt.kernel.service;version="2.7.0";uses:="com.liferay.exportimport.ker
 nel.lar,com.liferay.exportimport.kernel.model,com.liferay.petra.sql.d
 sl.query,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.jsonwebservice,com.liferay.portal
 .kernel.model,com.liferay.portal.kernel.search,com.liferay.portal.ker
 nel.security.access.control,com.liferay.portal.kernel.service,com.lif
 eray.portal.kernel.systemevent,com.liferay.portal.kernel.transaction,
 com.liferay.portal.kernel.util,javax.portlet",com.liferay.exportimpor
 t.kernel.service.persistence;version="2.4.0";uses:="com.liferay.expor
 timport.kernel.exception,com.liferay.exportimport.kernel.model,com.li
 feray.portal.kernel.dao.orm,com.liferay.portal.kernel.service,com.lif
 eray.portal.kernel.service.persistence,com.liferay.portal.kernel.util
 ",com.liferay.exportimport.kernel.staging;version="2.2.0";uses:="com.
 liferay.exportimport.kernel.lar,com.liferay.exportimport.kernel.model
 ,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,c
 om.liferay.portal.kernel.model,com.liferay.portal.kernel.security.aut
 h,com.liferay.portal.kernel.util,com.liferay.portal.kernel.workflow,c
 om.liferay.portal.kernel.xml,javax.portlet,javax.servlet.http",com.li
 feray.exportimport.kernel.staging.constants;version="1.0.0",com.lifer
 ay.exportimport.kernel.staging.permission;version="1.0.0";uses:="com.
 liferay.portal.kernel.model,com.liferay.portal.kernel.security.permis
 sion",com.liferay.exportimport.kernel.xstream;version="2.0.0",com.lif
 eray.layout.admin.kernel.model;version="1.0.0";uses:="com.liferay.por
 tal.kernel.model",com.liferay.layout.admin.kernel.util;version="2.0.0
 ";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kerne
 l.model,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.uti
 l,com.liferay.portal.kernel.xml",com.liferay.layout.admin.kernel.visi
 bility;version="2.0.0",com.liferay.layout.seo.kernel;version="2.0.0";
 uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 model,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.util"
 ,com.liferay.layout.utility.page.kernel;version="1.0.0";uses:="javax.
 servlet,javax.servlet.http",com.liferay.layout.utility.page.kernel.co
 nstants;version="1.0.0",com.liferay.layouts.admin.kernel.util;version
 ="88.0.1",com.liferay.mail.kernel.model;version="1.1.0";uses:="javax.
 mail.internet",com.liferay.mail.kernel.service;version="3.0.0";uses:=
 "com.liferay.mail.kernel.model,com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.transaction,javax.mail",com.liferay.mail.kern
 el.template;version="2.0.0";uses:="com.liferay.portal.kernel.util",co
 m.liferay.mail.kernel.util;version="1.0.0";uses:="com.liferay.mail.ke
 rnel.model",com.liferay.membership.requests.kernel.util.comparator;ve
 rsion="1.1.0";uses:="com.liferay.portal.kernel.model,com.liferay.port
 al.kernel.util",com.liferay.portal.kernel.annotation;version="7.0.0",
 com.liferay.portal.kernel.aop;version="1.0.1",com.liferay.portal.kern
 el.application.type;version="1.0.0",com.liferay.portal.kernel.audit;v
 ersion="7.1.1";uses:="com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.json",com.liferay.portal.kernel.backgroundtask;version
 ="10.0.0";uses:="com.liferay.petra.lang,com.liferay.portal.kernel.bac
 kgroundtask.display,com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.messaging,com.liferay.portal.kernel.model,com.liferay.po
 rtal.kernel.repository.model,com.liferay.portal.kernel.service,com.li
 feray.portal.kernel.util",com.liferay.portal.kernel.backgroundtask.co
 nstants;version="1.0.0",com.liferay.portal.kernel.backgroundtask.disp
 lay;version="3.0.0";uses:="com.liferay.portal.kernel.backgroundtask,j
 avax.servlet.http",com.liferay.portal.kernel.bean;version="10.1.0";us
 es:="javax.portlet,javax.servlet.http",com.liferay.portal.kernel.cach
 e;version="14.0.0";uses:="com.liferay.portal.kernel.transaction",com.
 liferay.portal.kernel.cache.index;version="6.2.0";uses:="com.liferay.
 portal.kernel.cache",com.liferay.portal.kernel.cache.key;version="8.0
 .0";uses:="com.liferay.petra.string",com.liferay.portal.kernel.cache.
 thread.local;version="2.0.0";uses:="com.liferay.portal.kernel.transac
 tion",com.liferay.portal.kernel.cache.transactional;version="3.1.0";u
 ses:="com.liferay.portal.kernel.cache,com.liferay.portal.kernel.trans
 action",com.liferay.portal.kernel.cal;version="6.3.0",com.liferay.por
 tal.kernel.captcha;version="7.0.0";uses:="com.liferay.portal.kernel.e
 xception,javax.portlet,javax.servlet.http",com.liferay.portal.kernel.
 change.tracking;version="2.2.0";uses:="com.liferay.petra.lang,com.lif
 eray.portal.kernel.exception",com.liferay.portal.kernel.cluster;versi
 on="8.0.0";uses:="com.liferay.portal.kernel.concurrent,com.liferay.po
 rtal.kernel.exception,com.liferay.portal.kernel.messaging,com.liferay
 .portal.kernel.util",com.liferay.portal.kernel.cluster.messaging;vers
 ion="7.1.0";uses:="com.liferay.portal.kernel.cluster,com.liferay.port
 al.kernel.messaging",com.liferay.portal.kernel.comment;version="4.0.0
 ";uses:="com.liferay.exportimport.kernel.lar,com.liferay.portal.kerne
 l.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.kern
 el.model,com.liferay.portal.kernel.security.permission,com.liferay.po
 rtal.kernel.service,com.liferay.ratings.kernel.model",com.liferay.por
 tal.kernel.comment.display.context;version="1.0.0";uses:="com.liferay
 .portal.kernel.comment,com.liferay.portal.kernel.display.context,com.
 liferay.portal.kernel.exception,javax.servlet.http",com.liferay.porta
 l.kernel.concurrent;version="8.0.0",com.liferay.portal.kernel.configu
 ration;version="7.0.0",com.liferay.portal.kernel.cookies;version="3.0
 .0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.settings,javax.servlet.http",com.liferay.portal.kernel.cookies.co
 nstants;version="1.1.0",com.liferay.portal.kernel.dao.db;version="10.
 1.0";uses:="com.liferay.petra.function,javax.naming,javax.sql",com.li
 feray.portal.kernel.dao.jdbc;version="9.0.0";uses:="javax.naming,java
 x.sql",com.liferay.portal.kernel.dao.jdbc.aop;version="7.0.0";uses:="
 javax.sql",com.liferay.portal.kernel.dao.jdbc.pool.metrics;version="1
 .0.0",com.liferay.portal.kernel.dao.orm;version="12.0.0";uses:="com.l
 iferay.exportimport.kernel.lar,com.liferay.petra.function,com.liferay
 .petra.sql.dsl.query,com.liferay.portal.kernel.cache,com.liferay.port
 al.kernel.exception,com.liferay.portal.kernel.model,com.liferay.porta
 l.kernel.search,com.liferay.portal.kernel.service,com.liferay.portal.
 kernel.service.persistence,com.liferay.portal.kernel.transaction,com.
 liferay.portal.kernel.util",com.liferay.portal.kernel.dao.search;vers
 ion="9.0.0";uses:="com.liferay.petra.function,com.liferay.portal.kern
 el.exception,com.liferay.portal.kernel.model,com.liferay.portal.kerne
 l.search,com.liferay.portal.kernel.util,javax.portlet,javax.servlet,j
 avax.servlet.http",com.liferay.portal.kernel.dependency.manager;versi
 on="1.2.0",com.liferay.portal.kernel.deploy.auto;version="8.0.0";uses
 :="com.liferay.portal.kernel.deploy.auto.context,com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.plugin",com.liferay.portal.
 kernel.deploy.auto.context;version="7.0.0";uses:="com.liferay.portal.
 kernel.plugin",com.liferay.portal.kernel.deploy.hot;version="7.1.2";u
 ses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.m
 essaging,com.liferay.portal.kernel.plugin,com.liferay.portal.kernel.u
 til,javax.servlet",com.liferay.portal.kernel.display.context;version=
 "2.0.0";uses:="javax.servlet.http,org.osgi.framework",com.liferay.por
 tal.kernel.display.context.helper;version="2.0.0";uses:="com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.portlet,com.liferay.por
 tal.kernel.security.permission,com.liferay.portal.kernel.theme,javax.
 servlet.http",com.liferay.portal.kernel.editor;version="8.0.0",com.li
 feray.portal.kernel.editor.configuration;version="1.1.0";uses:="com.l
 iferay.portal.kernel.json,com.liferay.portal.kernel.portlet,com.lifer
 ay.portal.kernel.theme",com.liferay.portal.kernel.editor.constants;ve
 rsion="1.0.0",com.liferay.portal.kernel.encryptor;version="1.0.0",com
 .liferay.portal.kernel.events;version="6.3.0";uses:="com.liferay.port
 al.kernel.exception,javax.portlet,javax.servlet.http",com.liferay.por
 tal.kernel.exception;version="13.0.0";uses:="com.liferay.portal.kerne
 l.model,com.liferay.portal.kernel.security.auth,com.liferay.portal.ke
 rnel.util",com.liferay.portal.kernel.facebook;version="7.0.0";uses:="
 com.liferay.portal.kernel.json,javax.portlet",com.liferay.portal.kern
 el.format;version="7.0.0",com.liferay.portal.kernel.frontend.esm;vers
 ion="1.0.0",com.liferay.portal.kernel.frontend.icons;version="3.0.0";
 uses:="com.liferay.portal.kernel.theme",com.liferay.portal.kernel.fro
 ntend.source.map;version="1.0.0",com.liferay.portal.kernel.group.capa
 bility;version="1.0.0";uses:="com.liferay.portal.kernel.model",com.li
 feray.portal.kernel.image;version="9.0.0";uses:="com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.model",com.liferay.portal.k
 ernel.increment;version="7.1.0";uses:="com.liferay.petra.lang",com.li
 feray.portal.kernel.instance.lifecycle;version="2.1.0";uses:="com.lif
 eray.portal.kernel.model",com.liferay.portal.kernel.interval;version=
 "1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.porta
 l.kernel.io;version="9.0.0",com.liferay.portal.kernel.io.constants;ve
 rsion="1.0.0",com.liferay.portal.kernel.io.unsync;version="8.0.0";use
 s:="com.liferay.petra.string",com.liferay.portal.kernel.jazzy;version
 ="1.0.0",com.liferay.portal.kernel.jmx.model;version="7.0.0";uses:="j
 avax.management",com.liferay.portal.kernel.jndi;version="7.0.0";uses:
 ="javax.naming",com.liferay.portal.kernel.json;version="11.0.0";uses:
 ="com.liferay.petra.function,com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.log",com.liferay.portal.kernel.jsonwebservice;v
 ersion="9.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.util,javax.servlet,javax.servlet.http",com.liferay.por
 tal.kernel.language;version="11.0.0";uses:="com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.resource.bundle,javax.portlet,ja
 vax.servlet.http",com.liferay.portal.kernel.language.constants;versio
 n="1.0.0",com.liferay.portal.kernel.layoutconfiguration.util;version=
 "3.0.0";uses:="com.liferay.petra.string,com.liferay.portal.kernel.lay
 outconfiguration.util.xml,com.liferay.portal.kernel.model,com.liferay
 .portal.kernel.template,javax.servlet.http",com.liferay.portal.kernel
 .layoutconfiguration.util.xml;version="1.0.0",com.liferay.portal.kern
 el.license;version="1.0.0",com.liferay.portal.kernel.license.messagin
 g;version="3.0.0",com.liferay.portal.kernel.license.util;version="1.0
 .0";uses:="com.liferay.portal.kernel.json,com.liferay.portal.kernel.l
 icense",com.liferay.portal.kernel.lock;version="8.0.0";uses:="com.lif
 eray.portal.kernel.exception",com.liferay.portal.kernel.log;version="
 7.1.0",com.liferay.portal.kernel.login;version="1.0.0",com.liferay.po
 rtal.kernel.lpkg;version="2.0.0",com.liferay.portal.kernel.management
 ;version="8.0.0";uses:="com.liferay.portal.kernel.exception",com.life
 ray.portal.kernel.management.jmx;version="6.2.0";uses:="com.liferay.p
 ortal.kernel.jmx.model,com.liferay.portal.kernel.management,javax.man
 agement",com.liferay.portal.kernel.messaging;version="13.0.0";uses:="
 com.liferay.portal.kernel.exception",com.liferay.portal.kernel.messag
 ing.async;version="6.2.0",com.liferay.portal.kernel.messaging.config;
 version="10.0.0";uses:="com.liferay.portal.kernel.messaging",com.life
 ray.portal.kernel.metadata;version="9.0.0";uses:="com.liferay.dynamic
 .data.mapping.kernel,com.liferay.portal.kernel.exception",com.liferay
 .portal.kernel.microsofttranslator;version="7.0.0";uses:="com.liferay
 .portal.kernel.exception",com.liferay.portal.kernel.mobile.device;ver
 sion="9.0.0";uses:="javax.servlet.http",com.liferay.portal.kernel.mod
 el;version="27.0.0";uses:="com.liferay.asset.kernel.model,com.liferay
 .expando.kernel.model,com.liferay.exportimport.kernel.lar,com.liferay
 .petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kern
 el.annotation,com.liferay.portal.kernel.application.type,com.liferay.
 portal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.json,com.liferay.portal.kernel.model.change.tracking,com.
 liferay.portal.kernel.model.portlet,com.liferay.portal.kernel.model.w
 rapper,com.liferay.portal.kernel.notifications,com.liferay.portal.ker
 nel.plugin,com.liferay.portal.kernel.poller,com.liferay.portal.kernel
 .pop,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.sche
 duler,com.liferay.portal.kernel.search,com.liferay.portal.kernel.secu
 rity.permission,com.liferay.portal.kernel.security.permission.propaga
 tor,com.liferay.portal.kernel.service,com.liferay.portal.kernel.servl
 et,com.liferay.portal.kernel.template,com.liferay.portal.kernel.theme
 ,com.liferay.portal.kernel.trash,com.liferay.portal.kernel.util,com.l
 iferay.portal.kernel.webdav,com.liferay.portal.kernel.workflow,com.li
 feray.portal.kernel.xml,com.liferay.portal.kernel.xmlrpc,com.liferay.
 social.kernel.model,javax.portlet,javax.servlet,javax.servlet.http",c
 om.liferay.portal.kernel.model.adapter;version="5.1.0";uses:="com.lif
 eray.portal.kernel.model",com.liferay.portal.kernel.model.adapter.bui
 lder;version="1.0.0",com.liferay.portal.kernel.model.cache;version="1
 .0.0",com.liferay.portal.kernel.model.change.tracking;version="3.0.0"
 ;uses:="com.liferay.portal.kernel.model",com.liferay.portal.kernel.mo
 del.dao;version="2.5.0",com.liferay.portal.kernel.model.impl;version=
 "7.2.0";uses:="com.liferay.expando.kernel.model,com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.security.permission,com.liferay.portal.kernel.service,javax.servl
 et.http",com.liferay.portal.kernel.model.portlet;version="2.0.0";uses
 :="com.liferay.petra.string,javax.portlet",com.liferay.portal.kernel.
 model.role;version="1.2.0",com.liferay.portal.kernel.model.version;ve
 rsion="3.0.0",com.liferay.portal.kernel.model.wrapper;version="3.0.0"
 ;uses:="com.liferay.expando.kernel.model,com.liferay.portal.kernel.mo
 del,com.liferay.portal.kernel.service",com.liferay.portal.kernel.modu
 le.configuration;version="2.1.0";uses:="com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.model,com.liferay.portal.kernel.sett
 ings",com.liferay.portal.kernel.module.framework;version="1.4.0",com.
 liferay.portal.kernel.module.framework.service;version="1.0.1";uses:=
 "com.liferay.portal.kernel.transaction,com.liferay.portal.kernel.util
 ",com.liferay.portal.kernel.monitoring;version="8.0.0";uses:="com.lif
 eray.portal.kernel.exception,javax.portlet",com.liferay.portal.kernel
 .notifications;version="9.0.0";uses:="com.liferay.asset.kernel.model,
 com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,co
 m.liferay.portal.kernel.model,com.liferay.portal.kernel.service",com.
 liferay.portal.kernel.openid;version="1.0.0",com.liferay.portal.kerne
 l.parsers.bbcode;version="7.0.0",com.liferay.portal.kernel.patcher;ve
 rsion="8.0.0",com.liferay.portal.kernel.plugin;version="7.0.0";uses:=
 "com.liferay.portal.kernel.util",com.liferay.portal.kernel.poller;ver
 sion="8.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.json",com.liferay.portal.kernel.poller.comet;version="7.
 0.0";uses:="com.liferay.portal.kernel.exception,javax.servlet.http",c
 om.liferay.portal.kernel.pop;version="7.0.0";uses:="com.liferay.porta
 l.kernel.exception,javax.mail",com.liferay.portal.kernel.portlet;vers
 ion="21.0.0";uses:="com.liferay.asset.kernel.model,com.liferay.expand
 o.kernel.model,com.liferay.exportimport.kernel.lar,com.liferay.osgi.s
 ervice.tracker.collections.map,com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.json,com.liferay.portal.kernel.model,com.life
 ray.portal.kernel.notifications,com.liferay.portal.kernel.poller,com.
 liferay.portal.kernel.pop,com.liferay.portal.kernel.search,com.lifera
 y.portal.kernel.security.permission,com.liferay.portal.kernel.securit
 y.permission.propagator,com.liferay.portal.kernel.servlet,com.liferay
 .portal.kernel.settings,com.liferay.portal.kernel.spring.osgi,com.lif
 eray.portal.kernel.template,com.liferay.portal.kernel.theme,com.lifer
 ay.portal.kernel.trash,com.liferay.portal.kernel.util,com.liferay.por
 tal.kernel.webdav,com.liferay.portal.kernel.workflow,com.liferay.port
 al.kernel.xml,com.liferay.portal.kernel.xmlrpc,com.liferay.social.ker
 nel.model,javax.portlet,javax.portlet.annotations,javax.portlet.filte
 r,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.portlet
 .async;version="1.0.1";uses:="javax.portlet",com.liferay.portal.kerne
 l.portlet.bridges.mvc;version="6.0.0";uses:="com.liferay.portal.kerne
 l.portlet,javax.portlet",com.liferay.portal.kernel.portlet.bridges.mv
 c.constants;version="1.0.0",com.liferay.portal.kernel.portlet.configu
 ration.icon;version="5.0.0";uses:="com.liferay.osgi.service.tracker.c
 ollections.map,javax.portlet,javax.servlet,javax.servlet.http,org.osg
 i.framework",com.liferay.portal.kernel.portlet.configuration.icon.loc
 ator;version="1.0.0";uses:="javax.portlet",com.liferay.portal.kernel.
 portlet.constants;version="1.4.0",com.liferay.portal.kernel.portlet.r
 ender;version="1.0.0";uses:="com.liferay.portal.kernel.model,javax.se
 rvlet.http",com.liferay.portal.kernel.portlet.toolbar;version="1.0.0"
 ;uses:="com.liferay.portal.kernel.servlet.taglib.ui,javax.portlet",co
 m.liferay.portal.kernel.portlet.toolbar.contributor;version="1.1.0";u
 ses:="com.liferay.portal.kernel.servlet.taglib.ui,javax.portlet",com.
 liferay.portal.kernel.portlet.toolbar.contributor.locator;version="1.
 0.0";uses:="com.liferay.portal.kernel.portlet.toolbar.contributor,jav
 ax.portlet",com.liferay.portal.kernel.portlet.url.builder;version="1.
 1.0";uses:="com.liferay.portal.kernel.portlet,javax.portlet,javax.por
 tlet.annotations",com.liferay.portal.kernel.portletdisplaytemplate;ve
 rsion="6.4.1";uses:="com.liferay.dynamic.data.mapping.kernel,com.life
 ray.portal.kernel.template,javax.servlet.http",com.liferay.portal.ker
 nel.portletfilerepository;version="4.0.0";uses:="com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.model,com.liferay.portal.ke
 rnel.repository.model,com.liferay.portal.kernel.search,com.liferay.po
 rtal.kernel.service,com.liferay.portal.kernel.theme,com.liferay.porta
 l.kernel.util",com.liferay.portal.kernel.process;version="8.0.0";uses
 :="com.liferay.portal.kernel.concurrent,com.liferay.portal.kernel.io"
 ,com.liferay.portal.kernel.process.local;version="2.0.0";uses:="com.l
 iferay.portal.kernel.concurrent,com.liferay.portal.kernel.process",co
 m.liferay.portal.kernel.redirect;version="1.0.0",com.liferay.portal.k
 ernel.regex;version="1.0.0",com.liferay.portal.kernel.repository;vers
 ion="12.1.0";uses:="com.liferay.asset.kernel.service,com.liferay.docu
 ment.library.kernel.model,com.liferay.document.library.kernel.service
 ,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.lock,c
 om.liferay.portal.kernel.model,com.liferay.portal.kernel.repository.c
 apabilities,com.liferay.portal.kernel.repository.model,com.liferay.po
 rtal.kernel.resource.bundle,com.liferay.portal.kernel.search,com.life
 ray.portal.kernel.service,com.liferay.portal.kernel.util",com.liferay
 .portal.kernel.repository.capabilities;version="2.0.0";uses:="com.lif
 eray.portal.kernel.exception,com.liferay.portal.kernel.repository,com
 .liferay.portal.kernel.repository.event,com.liferay.portal.kernel.rep
 ository.model,com.liferay.portal.kernel.service,com.liferay.portal.ke
 rnel.util",com.liferay.portal.kernel.repository.event;version="1.1.0"
 ;uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel
 .repository.model,com.liferay.portal.kernel.repository.registry",com.
 liferay.portal.kernel.repository.friendly.url.resolver;version="1.0.0
 ";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kerne
 l.repository.model",com.liferay.portal.kernel.repository.http.header.
 customizer;version="1.0.0";uses:="com.liferay.portal.kernel.repositor
 y.model",com.liferay.portal.kernel.repository.model;version="11.1.0";
 uses:="com.liferay.expando.kernel.model,com.liferay.exportimport.kern
 el.lar,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 json,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.model,c
 om.liferay.portal.kernel.repository.capabilities,com.liferay.portal.k
 ernel.security.permission,com.liferay.portal.kernel.util",com.liferay
 .portal.kernel.repository.proxy;version="6.2.0";uses:="com.liferay.as
 set.kernel.service,com.liferay.document.library.kernel.model,com.life
 ray.document.library.kernel.service,com.liferay.expando.kernel.model,
 com.liferay.exportimport.kernel.lar,com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.repositor
 y,com.liferay.portal.kernel.repository.capabilities,com.liferay.porta
 l.kernel.repository.model,com.liferay.portal.kernel.search,com.lifera
 y.portal.kernel.security.permission,com.liferay.portal.kernel.service
 ,com.liferay.portal.kernel.util",com.liferay.portal.kernel.repository
 .registry;version="1.1.0";uses:="com.liferay.portal.kernel.repository
 ,com.liferay.portal.kernel.repository.capabilities,com.liferay.portal
 .kernel.repository.event",com.liferay.portal.kernel.repository.search
 ;version="7.0.0";uses:="com.liferay.portal.kernel.search",com.liferay
 .portal.kernel.repository.util;version="3.1.0";uses:="com.liferay.por
 tal.kernel.repository.model",com.liferay.portal.kernel.resource;versi
 on="6.3.0",com.liferay.portal.kernel.resource.bundle;version="1.0.0",
 com.liferay.portal.kernel.resource.manager;version="1.0.0";uses:="com
 .liferay.portal.kernel.resource",com.liferay.portal.kernel.sanitizer;
 version="8.0.0";uses:="com.liferay.portal.kernel.exception",com.lifer
 ay.portal.kernel.scheduler;version="12.0.0";uses:="com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.messaging,com.liferay.por
 tal.kernel.scheduler.messaging,javax.portlet",com.liferay.portal.kern
 el.scheduler.messaging;version="9.0.0";uses:="com.liferay.portal.kern
 el.messaging,com.liferay.portal.kernel.scheduler",com.liferay.portal.
 kernel.scripting;version="9.0.0";uses:="com.liferay.portal.kernel.exc
 eption,javax.portlet",com.liferay.portal.kernel.search;version="19.0.
 0";uses:="com.liferay.asset.kernel.model,com.liferay.expando.kernel.m
 odel,com.liferay.petra.function,com.liferay.petra.string,com.liferay.
 portal.kernel.backgroundtask,com.liferay.portal.kernel.comment,com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.json,com.life
 ray.portal.kernel.model,com.liferay.portal.kernel.portlet,com.liferay
 .portal.kernel.repository.model,com.liferay.portal.kernel.search.face
 t,com.liferay.portal.kernel.search.filter,com.liferay.portal.kernel.s
 earch.geolocation,com.liferay.portal.kernel.search.query,com.liferay.
 portal.kernel.search.suggest,com.liferay.portal.kernel.security.permi
 ssion,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.xml,j
 avax.portlet,javax.servlet.http",com.liferay.portal.kernel.search.ana
 lysis;version="2.0.0";uses:="com.liferay.portal.kernel.search",com.li
 feray.portal.kernel.search.background.task;version="2.0.0",com.lifera
 y.portal.kernel.search.dummy;version="4.0.0";uses:="com.liferay.porta
 l.kernel.search,com.liferay.portal.kernel.search.filter,com.liferay.p
 ortal.kernel.search.suggest,com.liferay.portal.kernel.security.permis
 sion,javax.portlet",com.liferay.portal.kernel.search.facet;version="8
 .0.0";uses:="com.liferay.portal.kernel.json,com.liferay.portal.kernel
 .search,com.liferay.portal.kernel.search.facet.collector,com.liferay.
 portal.kernel.search.facet.config,com.liferay.portal.kernel.search.fa
 cet.util,com.liferay.portal.kernel.search.filter",com.liferay.portal.
 kernel.search.facet.collector;version="6.3.0",com.liferay.portal.kern
 el.search.facet.config;version="8.0.0";uses:="com.liferay.portal.kern
 el.json",com.liferay.portal.kernel.search.facet.faceted.searcher;vers
 ion="2.0.0";uses:="com.liferay.portal.kernel.search",com.liferay.port
 al.kernel.search.facet.util;version="7.0.0";uses:="com.liferay.portal
 .kernel.search,com.liferay.portal.kernel.search.facet",com.liferay.po
 rtal.kernel.search.filter;version="1.0.0";uses:="com.liferay.portal.k
 ernel.search,com.liferay.portal.kernel.search.geolocation",com.lifera
 y.portal.kernel.search.generic;version="3.0.0";uses:="com.liferay.por
 tal.kernel.search,com.liferay.portal.kernel.search.filter,com.liferay
 .portal.kernel.search.query",com.liferay.portal.kernel.search.geoloca
 tion;version="1.0.0",com.liferay.portal.kernel.search.highlight;versi
 on="1.0.0";uses:="com.liferay.portal.kernel.search",com.liferay.porta
 l.kernel.search.hits;version="2.0.0";uses:="com.liferay.portal.kernel
 .search",com.liferay.portal.kernel.search.query;version="1.0.0";uses:
 ="com.liferay.portal.kernel.search,com.liferay.portal.kernel.search.g
 eneric",com.liferay.portal.kernel.search.reindexer;version="1.0.0",co
 m.liferay.portal.kernel.search.result;version="1.0.0";uses:="com.life
 ray.portal.kernel.exception,com.liferay.portal.kernel.search,javax.po
 rtlet",com.liferay.portal.kernel.search.suggest;version="3.1.1";uses:
 ="com.liferay.portal.kernel.search",com.liferay.portal.kernel.securit
 y;version="6.2.0",com.liferay.portal.kernel.security.access.control;v
 ersion="2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.security.auth,com.liferay.portal.kernel.security.auth.
 verifier,javax.servlet.http",com.liferay.portal.kernel.security.auth;
 version="5.1.0";uses:="com.liferay.petra.lang,com.liferay.portal.kern
 el.exception,com.liferay.portal.kernel.model,com.liferay.portal.kerne
 l.portlet,com.liferay.portal.kernel.security.auth.verifier,com.lifera
 y.portal.kernel.security.permission,javax.servlet.http,org.osgi.frame
 work,org.osgi.util.tracker",com.liferay.portal.kernel.security.auth.h
 ttp;version="1.1.0";uses:="com.liferay.portal.kernel.exception,javax.
 servlet.http",com.liferay.portal.kernel.security.auth.session;version
 ="1.0.0";uses:="com.liferay.portal.kernel.exception,javax.servlet.htt
 p",com.liferay.portal.kernel.security.auth.tunnel;version="1.0.0";use
 s:="com.liferay.portal.kernel.security.auth,javax.servlet.http",com.l
 iferay.portal.kernel.security.auth.verifier;version="2.0.0";uses:="co
 m.liferay.portal.kernel.security.auth",com.liferay.portal.kernel.secu
 rity.auto.login;version="2.0.0";uses:="com.liferay.portal.kernel.exce
 ption,javax.servlet.http",com.liferay.portal.kernel.security.exportim
 port;version="1.0.0",com.liferay.portal.kernel.security.jaas;version=
 "7.0.0";uses:="javax.security.auth,javax.security.auth.callback,javax
 .security.auth.login,javax.security.auth.spi",com.liferay.portal.kern
 el.security.ldap;version="2.0.0";uses:="javax.naming.directory",com.l
 iferay.portal.kernel.security.membershippolicy;version="1.0.0";uses:=
 "com.liferay.asset.kernel.model,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.model,com.liferay.portal.kernel.security.per
 mission,com.liferay.portal.kernel.util",com.liferay.portal.kernel.sec
 urity.permission;version="6.2.0";uses:="com.liferay.petra.sql.dsl,com
 .liferay.petra.sql.dsl.expression,com.liferay.petra.sql.dsl.query,com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.model,com.
 liferay.portal.kernel.security.permission.contributor,com.liferay.por
 tal.kernel.security.permission.propagator,com.liferay.portal.kernel.x
 ml,javax.servlet.http",com.liferay.portal.kernel.security.permission.
 comparator;version="1.0.0",com.liferay.portal.kernel.security.permiss
 ion.contributor;version="1.0.0";uses:="com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.security.permission",com.liferay.portal.k
 ernel.security.permission.propagator;version="1.0.0";uses:="com.lifer
 ay.portal.kernel.exception,javax.portlet",com.liferay.portal.kernel.s
 ecurity.permission.resource;version="2.1.0";uses:="com.liferay.export
 import.kernel.staging.permission,com.liferay.petra.function,com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.security.auth,com.liferay.portal.kernel.security.perm
 ission,com.liferay.portal.kernel.service,com.liferay.portal.kernel.wo
 rkflow.permission",com.liferay.portal.kernel.security.permission.reso
 urce.definition;version="1.0.1";uses:="com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.model,com.liferay.portal.kernel.secur
 ity.permission.resource",com.liferay.portal.kernel.security.permissio
 n.wrapper;version="1.0.0";uses:="com.liferay.portal.kernel.model,com.
 liferay.portal.kernel.security.permission,com.liferay.portal.kernel.s
 ecurity.permission.contributor",com.liferay.portal.kernel.security.pw
 d;version="3.0.0";uses:="com.liferay.portal.kernel.exception,com.life
 ray.portal.kernel.model",com.liferay.portal.kernel.security.service.a
 ccess.policy;version="1.1.0",com.liferay.portal.kernel.security.sso;v
 ersion="1.0.0";uses:="javax.servlet.http",com.liferay.portal.kernel.s
 ecurity.xml;version="2.0.0";uses:="javax.xml.parsers,javax.xml.stream
 ,javax.xml.transform,org.xml.sax",com.liferay.portal.kernel.service;v
 ersion="19.0.0";uses:="com.liferay.announcements.kernel.model,com.lif
 eray.expando.kernel.model,com.liferay.exportimport.kernel.lar,com.lif
 eray.petra.function,com.liferay.petra.sql.dsl.query,com.liferay.porta
 l.kernel.cache.thread.local,com.liferay.portal.kernel.change.tracking
 ,com.liferay.portal.kernel.cluster,com.liferay.portal.kernel.dao.orm,
 com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,co
 m.liferay.portal.kernel.jsonwebservice,com.liferay.portal.kernel.mess
 aging.async,com.liferay.portal.kernel.model,com.liferay.portal.kernel
 .notifications,com.liferay.portal.kernel.plugin,com.liferay.portal.ke
 rnel.portlet,com.liferay.portal.kernel.repository.model,com.liferay.p
 ortal.kernel.search,com.liferay.portal.kernel.security.access.control
 ,com.liferay.portal.kernel.security.auth,com.liferay.portal.kernel.se
 curity.permission,com.liferay.portal.kernel.service.change.tracking,c
 om.liferay.portal.kernel.service.configuration,com.liferay.portal.ker
 nel.service.permission,com.liferay.portal.kernel.service.persistence,
 com.liferay.portal.kernel.service.persistence.change.tracking,com.lif
 eray.portal.kernel.settings,com.liferay.portal.kernel.spring.aop,com.
 liferay.portal.kernel.systemevent,com.liferay.portal.kernel.theme,com
 .liferay.portal.kernel.transaction,com.liferay.portal.kernel.upgrade,
 com.liferay.portal.kernel.upload,com.liferay.portal.kernel.util,com.l
 iferay.portal.kernel.xml,javax.portlet,javax.servlet,javax.servlet.ht
 tp",com.liferay.portal.kernel.service.change.tracking;version="1.0.0"
 ;uses:="com.liferay.petra.function,com.liferay.portal.kernel.model.ch
 ange.tracking,com.liferay.portal.kernel.service.persistence.change.tr
 acking,com.liferay.portal.kernel.transaction",com.liferay.portal.kern
 el.service.configuration;version="1.1.1",com.liferay.portal.kernel.se
 rvice.configuration.servlet;version="1.1.0";uses:="com.liferay.portal
 .kernel.service.configuration,javax.servlet",com.liferay.portal.kerne
 l.service.http;version="1.0.0";uses:="com.liferay.portal.kernel.secur
 ity.auth,com.liferay.portal.kernel.util",com.liferay.portal.kernel.se
 rvice.permission;version="5.0.0";uses:="com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.model,com.liferay.portal.kernel.secu
 rity.auth,com.liferay.portal.kernel.security.permission,javax.portlet
 ,javax.servlet.http",com.liferay.portal.kernel.service.persistence;ve
 rsion="17.0.0";uses:="com.liferay.petra.sql.dsl.query,com.liferay.por
 tal.kernel.dao.db,com.liferay.portal.kernel.dao.orm,com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.service,com.liferay.portal.kernel.service.persistence.change.
 tracking,com.liferay.portal.kernel.util,javax.sql",com.liferay.portal
 .kernel.service.persistence.change.tracking;version="1.4.0";uses:="co
 m.liferay.portal.kernel.change.tracking,com.liferay.portal.kernel.mod
 el.change.tracking,com.liferay.portal.kernel.service.persistence",com
 .liferay.portal.kernel.service.persistence.change.tracking.helper;ver
 sion="1.1.0";uses:="com.liferay.portal.kernel.model.change.tracking",
 com.liferay.portal.kernel.service.persistence.impl;version="4.1.0";us
 es:="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.query,com.li
 feray.petra.string,com.liferay.portal.kernel.configuration,com.lifera
 y.portal.kernel.dao.db,com.liferay.portal.kernel.dao.orm,com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.p
 ortal.kernel.service,com.liferay.portal.kernel.service.persistence,co
 m.liferay.portal.kernel.util,javax.sql",com.liferay.portal.kernel.ser
 vice.version;version="1.1.0";uses:="com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.model.version",com.liferay.portal.kernel
 .servlet;version="11.2.0";uses:="com.liferay.petra.string,com.liferay
 .portal.kernel.log,com.liferay.portal.kernel.util,javax.portlet,javax
 .servlet,javax.servlet.http",com.liferay.portal.kernel.servlet.filter
 s.compoundsessionid;version="7.0.0";uses:="com.liferay.portal.kernel.
 servlet,javax.servlet.http",com.liferay.portal.kernel.servlet.filters
 .invoker;version="10.0.0";uses:="com.liferay.portal.kernel.util,javax
 .servlet,javax.servlet.http",com.liferay.portal.kernel.servlet.taglib
 ;version="9.0.0";uses:="com.liferay.petra.string,com.liferay.portal.k
 ernel.log,javax.servlet,javax.servlet.http",com.liferay.portal.kernel
 .servlet.taglib.aui;version="10.1.0";uses:="com.liferay.petra.string,
 com.liferay.portal.kernel.util",com.liferay.portal.kernel.servlet.tag
 lib.ui;version="8.0.0";uses:="com.liferay.petra.string,com.liferay.po
 rtal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.por
 tal.kernel.util,javax.servlet,javax.servlet.http",com.liferay.portal.
 kernel.servlet.taglib.util;version="7.0.0";uses:="com.liferay.petra.s
 tring,com.liferay.portal.kernel.util",com.liferay.portal.kernel.setti
 ngs;version="3.2.0";uses:="com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.resource.manager,
 javax.portlet",com.liferay.portal.kernel.settings.definition;version=
 "2.0.0",com.liferay.portal.kernel.social;version="2.0.0";uses:="com.l
 iferay.portal.kernel.exception,com.liferay.portal.kernel.model,com.li
 feray.social.kernel.service",com.liferay.portal.kernel.spring.aop;ver
 sion="7.0.0";uses:="com.liferay.portal.kernel.service",com.liferay.po
 rtal.kernel.spring.orm;version="1.0.0",com.liferay.portal.kernel.spri
 ng.osgi;version="2.0.0",com.liferay.portal.kernel.spring.util;version
 ="7.0.0",com.liferay.portal.kernel.struts;version="8.0.0";uses:="java
 x.servlet.http",com.liferay.portal.kernel.systemevent;version="6.2.0"
 ,com.liferay.portal.kernel.template;version="14.0.0";uses:="com.lifer
 ay.dynamic.data.mapping.kernel,com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.xml,javax.servlet.http",com.liferay.portal.ke
 rnel.template.comparator;version="6.2.0";uses:="com.liferay.portal.ke
 rnel.template",com.liferay.portal.kernel.templateparser;version="8.0.
 0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kern
 el.theme,com.liferay.portal.kernel.xml",com.liferay.portal.kernel.ter
 ms.of.use;version="1.0.1";uses:="javax.servlet.http",com.liferay.port
 al.kernel.theme;version="10.1.0";uses:="com.liferay.petra.string,com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.li
 feray.portal.kernel.mobile.device,com.liferay.portal.kernel.model,com
 .liferay.portal.kernel.module.configuration,com.liferay.portal.kernel
 .portlet.configuration.icon,com.liferay.portal.kernel.portlet.toolbar
 ,com.liferay.portal.kernel.security.permission,com.liferay.portal.ker
 nel.util,javax.portlet,javax.servlet,javax.servlet.http",com.liferay.
 portal.kernel.transaction;version="8.1.0",com.liferay.portal.kernel.t
 rash;version="13.0.0";uses:="com.liferay.asset.kernel.model,com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.search,com.liferay.portal.kernel.search.filter,com.li
 feray.portal.kernel.security.permission,com.liferay.portal.kernel.ser
 vice,com.liferay.portal.kernel.util,com.liferay.trash.kernel.model,ja
 vax.portlet",com.liferay.portal.kernel.trash.helper;version="1.1.0";u
 ses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.m
 odel,javax.portlet,javax.servlet.http",com.liferay.portal.kernel.tree
 ;version="2.1.1";uses:="com.liferay.portal.kernel.exception,com.lifer
 ay.portal.kernel.model",com.liferay.portal.kernel.upgrade;version="19
 .0.0";uses:="com.liferay.petra.lang,com.liferay.portal.kernel.dao.db,
 com.liferay.portal.kernel.exception,com.liferay.portal.kernel.resourc
 e.bundle,com.liferay.portal.kernel.service,com.liferay.portal.kernel.
 util,com.liferay.portal.kernel.xml,javax.portlet",com.liferay.portal.
 kernel.upgrade.util;version="10.2.0";uses:="com.liferay.portal.kernel
 .model,com.liferay.portal.kernel.upgrade,com.liferay.portal.kernel.ve
 rsion",com.liferay.portal.kernel.upload;version="9.0.0";uses:="com.li
 feray.portal.kernel.exception,javax.portlet,javax.servlet.http",com.l
 iferay.portal.kernel.url;version="1.1.0";uses:="javax.servlet",com.li
 feray.portal.kernel.url.validator;version="1.0.0",com.liferay.portal.
 kernel.util;version="49.1.0";uses:="com.liferay.expando.kernel.model,
 com.liferay.mail.kernel.model,com.liferay.petra.process,com.liferay.p
 etra.sql.dsl.query.sort,com.liferay.petra.string,com.liferay.portal.k
 ernel.configuration,com.liferay.portal.kernel.dao.jdbc.aop,com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.group.capability,
 com.liferay.portal.kernel.io,com.liferay.portal.kernel.io.unsync,com.
 liferay.portal.kernel.json,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.portlet,com.liferay.portal.kernel.repository.model,co
 m.liferay.portal.kernel.resource.bundle,com.liferay.portal.kernel.sec
 urity.permission,com.liferay.portal.kernel.service,com.liferay.portal
 .kernel.settings,com.liferay.portal.kernel.spring.osgi,com.liferay.po
 rtal.kernel.theme,com.liferay.portal.kernel.upload,com.liferay.portal
 .kernel.xml,javax.mail,javax.mail.internet,javax.portlet,javax.servle
 t,javax.servlet.http,javax.sql",com.liferay.portal.kernel.util.compar
 ator;version="3.1.0";uses:="com.liferay.portal.kernel.model,com.lifer
 ay.portal.kernel.portlet.configuration.icon,com.liferay.portal.kernel
 .util,javax.servlet",com.liferay.portal.kernel.uuid;version="6.2.0",c
 om.liferay.portal.kernel.verify.model;version="2.1.0",com.liferay.por
 tal.kernel.version;version="1.1.0",com.liferay.portal.kernel.view.cou
 nt;version="1.2.0";uses:="com.liferay.petra.sql.dsl,com.liferay.porta
 l.kernel.exception",com.liferay.portal.kernel.webcache;version="6.2.0
 ";uses:="com.liferay.portal.kernel.exception",com.liferay.portal.kern
 el.webdav;version="10.0.0";uses:="com.liferay.portal.kernel.exception
 ,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.model,com.l
 iferay.portal.kernel.security.permission,com.liferay.portal.kernel.we
 bdav.methods,com.liferay.portal.kernel.xml,javax.servlet.http",com.li
 feray.portal.kernel.webdav.methods;version="6.2.0";uses:="com.liferay
 .portal.kernel.webdav,javax.servlet.http",com.liferay.portal.kernel.w
 ebserver;version="1.0.0",com.liferay.portal.kernel.words;version="2.0
 .0";uses:="com.liferay.portal.kernel.jazzy",com.liferay.portal.kernel
 .workflow;version="18.1.0";uses:="com.liferay.asset.kernel.model,com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.model,com.l
 iferay.portal.kernel.portlet,com.liferay.portal.kernel.service,com.li
 feray.portal.kernel.util,com.liferay.portal.kernel.workflow.search,ja
 vax.portlet,javax.servlet.http",com.liferay.portal.kernel.workflow.co
 mparator;version="8.0.0";uses:="com.liferay.portal.kernel.util,com.li
 feray.portal.kernel.workflow",com.liferay.portal.kernel.workflow.perm
 ission;version="7.0.0";uses:="com.liferay.portal.kernel.security.perm
 ission",com.liferay.portal.kernel.workflow.search;version="1.0.0";use
 s:="com.liferay.portal.kernel.workflow",com.liferay.portal.kernel.xml
 ;version="7.1.0";uses:="org.xml.sax",com.liferay.portal.kernel.xml.si
 mple;version="6.2.0",com.liferay.portal.kernel.xmlrpc;version="6.2.0"
 ;uses:="com.liferay.portal.kernel.exception",com.liferay.portal.kerne
 l.zip;version="6.4.2",com.liferay.portlet.configuration.kernel.util;v
 ersion="1.0.0";uses:="javax.portlet",com.liferay.ratings.kernel;versi
 on="1.2.0",com.liferay.ratings.kernel.definition;version="1.1.0";uses
 :="com.liferay.portal.kernel.exception,com.liferay.ratings.kernel",co
 m.liferay.ratings.kernel.display.context;version="1.0.0";uses:="com.l
 iferay.portal.kernel.util,com.liferay.ratings.kernel,javax.portlet,ja
 vax.servlet.http",com.liferay.ratings.kernel.exception;version="1.0.0
 ";uses:="com.liferay.portal.kernel.exception",com.liferay.ratings.ker
 nel.model;version="4.1.0";uses:="com.liferay.exportimport.kernel.lar,
 com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.
 portal.kernel.annotation,com.liferay.portal.kernel.bean,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.model.change.tracking,co
 m.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.util"
 ,com.liferay.ratings.kernel.service;version="2.6.0";uses:="com.lifera
 y.exportimport.kernel.lar,com.liferay.petra.function,com.liferay.petr
 a.sql.dsl.query,com.liferay.portal.kernel.change.tracking,com.liferay
 .portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.jsonwebservice,com.liferay.portal.kernel.model,com.li
 feray.portal.kernel.search,com.liferay.portal.kernel.security.access.
 control,com.liferay.portal.kernel.service,com.liferay.portal.kernel.s
 ervice.change.tracking,com.liferay.portal.kernel.service.persistence.
 change.tracking,com.liferay.portal.kernel.systemevent,com.liferay.por
 tal.kernel.transaction,com.liferay.portal.kernel.util,com.liferay.rat
 ings.kernel.model",com.liferay.ratings.kernel.service.persistence;ver
 sion="4.2.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.por
 tal.kernel.service,com.liferay.portal.kernel.service.persistence,com.
 liferay.portal.kernel.service.persistence.change.tracking,com.liferay
 .portal.kernel.util,com.liferay.ratings.kernel.exception,com.liferay.
 ratings.kernel.model",com.liferay.ratings.kernel.transformer;version=
 "1.0.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.util,com.liferay.ratings.ke
 rnel,com.liferay.ratings.kernel.model,javax.portlet",com.liferay.role
 s.admin.kernel.util;version="2.0.0";uses:="com.liferay.portal.kernel.
 model",com.liferay.sites.kernel.util;version="1.4.0";uses:="com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.security.permission,com.liferay.portal.kernel.service
 ,javax.portlet,javax.servlet.http",com.liferay.social.kernel.exceptio
 n;version="1.0.0";uses:="com.liferay.portal.kernel.exception",com.lif
 eray.social.kernel.model;version="6.1.0";uses:="com.liferay.asset.ker
 nel.model,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,co
 m.liferay.portal.kernel.annotation,com.liferay.portal.kernel.bean,com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.l
 iferay.portal.kernel.model,com.liferay.portal.kernel.model.change.tra
 cking,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kern
 el.resource.bundle,com.liferay.portal.kernel.security.permission,com.
 liferay.portal.kernel.service,com.liferay.portal.kernel.theme,com.lif
 eray.portal.kernel.util",com.liferay.social.kernel.model.impl;version
 ="1.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.security.permission,com.liferay.portal.kernel.service,com.li
 feray.portal.kernel.theme,com.liferay.social.kernel.model",com.lifera
 y.social.kernel.service;version="3.0.0";uses:="com.liferay.asset.kern
 el.model,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,c
 om.liferay.portal.kernel.change.tracking,com.liferay.portal.kernel.da
 o.orm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.j
 son,com.liferay.portal.kernel.jsonwebservice,com.liferay.portal.kerne
 l.messaging.async,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.search,com.liferay.portal.kernel.security.access.control,com.l
 iferay.portal.kernel.service,com.liferay.portal.kernel.service.change
 .tracking,com.liferay.portal.kernel.service.persistence.change.tracki
 ng,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.transact
 ion,com.liferay.portal.kernel.util,com.liferay.social.kernel.model",c
 om.liferay.social.kernel.service.permission;version="1.0.0";uses:="co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.security.
 permission",com.liferay.social.kernel.service.persistence;version="4.
 2.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.portal.kern
 el.service,com.liferay.portal.kernel.service.persistence,com.liferay.
 portal.kernel.service.persistence.change.tracking,com.liferay.portal.
 kernel.util,com.liferay.social.kernel.exception,com.liferay.social.ke
 rnel.model",com.liferay.social.kernel.util;version="1.0.0";uses:="com
 .liferay.portal.kernel.service,com.liferay.social.kernel.model,javax.
 servlet.http",com.liferay.social.kernel.util.comparator;version="1.1.
 0";uses:="com.liferay.portal.kernel.util,com.liferay.social.kernel.mo
 del",com.liferay.trash.kernel.exception;version="1.1.0";uses:="com.li
 feray.portal.kernel.exception",com.liferay.trash.kernel.model;version
 ="5.0.0";uses:="com.liferay.expando.kernel.model,com.liferay.portal.k
 ernel.annotation,com.liferay.portal.kernel.bean,com.liferay.portal.ke
 rnel.model,com.liferay.portal.kernel.service,com.liferay.portal.kerne
 l.util",com.liferay.trash.kernel.service;version="1.5.0";uses:="com.l
 iferay.petra.sql.dsl.query,com.liferay.portal.kernel.change.tracking,
 com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exception
 ,com.liferay.portal.kernel.jsonwebservice,com.liferay.portal.kernel.m
 odel,com.liferay.portal.kernel.search,com.liferay.portal.kernel.secur
 ity.access.control,com.liferay.portal.kernel.security.auth,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.transaction,com.lif
 eray.portal.kernel.util,com.liferay.trash.kernel.model",com.liferay.t
 rash.kernel.service.persistence;version="1.4.0";uses:="com.liferay.po
 rtal.kernel.dao.orm,com.liferay.portal.kernel.service,com.liferay.por
 tal.kernel.service.persistence,com.liferay.portal.kernel.util,com.lif
 eray.trash.kernel.exception,com.liferay.trash.kernel.model",com.lifer
 ay.users.admin.kernel.file.uploads;version="2.0.0",com.liferay.users.
 admin.kernel.organization.types;version="1.0.1",com.liferay.users.adm
 in.kernel.util;version="2.0.0";uses:="com.liferay.portal.kernel.excep
 tion,com.liferay.portal.kernel.model,com.liferay.portal.kernel.search
 ,com.liferay.portal.kernel.security.permission,com.liferay.portal.ker
 nel.util,javax.portlet,javax.servlet.http"
Git-Descriptor: 476736d4b4110-dirty
Git-SHA: 476736d4b4110c68d1f84f7a95878dae5957316a
Import-Package: com.liferay.announcements.kernel.exception;version="[1
 .0,2)",com.liferay.announcements.kernel.model;version="[4.1,4.2)",com
 .liferay.asset.kernel.exception;version="[3.0,4)",com.liferay.asset.k
 ernel.model;version="[9.1,9.2)",com.liferay.asset.kernel.service;vers
 ion="[8.0,8.1)",com.liferay.asset.kernel.service.persistence;version=
 "[10.0,11)",com.liferay.counter.kernel.service;version="[2.1,2.2)",co
 m.liferay.document.library.kernel.exception;version="[4.0,5)",com.lif
 eray.document.library.kernel.model;version="[8.0,8.1)",com.liferay.do
 cument.library.kernel.service;version="[8.0,8.1)",com.liferay.documen
 t.library.kernel.store;version="[3.1,4)",com.liferay.document.library
 .kernel.util;version="[7.1,8)",com.liferay.dynamic.data.mapping.kerne
 l;version="[3.0,4)",com.liferay.expando.kernel.exception;version="[2.
 0,3)",com.liferay.expando.kernel.model;version="[5.1,5.2)",com.lifera
 y.expando.kernel.util;version="[4.0,5)",com.liferay.exportimport.kern
 el.exception;version="[2.0,3)",com.liferay.exportimport.kernel.model;
 version="[6.0,6.1)",com.liferay.exportimport.kernel.service;version="
 [2.7,2.8)",com.liferay.exportimport.kernel.staging;version="[2.2,3)",
 com.liferay.exportimport.kernel.staging.permission;version="[1.0,2)",
 com.liferay.layout.admin.kernel.model;version="[1.0,2)",com.liferay.m
 ail.kernel.model;version="[1.1,2)",com.liferay.mail.kernel.service;ve
 rsion="[3.0,4)",com.liferay.mail.kernel.template;version="[2.0,3)",co
 m.liferay.osgi.service.tracker.collections.list,com.liferay.osgi.serv
 ice.tracker.collections.map,com.liferay.petra.concurrent,com.liferay.
 petra.executor,com.liferay.petra.function,com.liferay.petra.io.unsync
 ,com.liferay.petra.lang,com.liferay.petra.memory,com.liferay.petra.ni
 o,com.liferay.petra.process,com.liferay.petra.reflect,com.liferay.pet
 ra.sql.dsl,com.liferay.petra.sql.dsl.ast,com.liferay.petra.sql.dsl.ba
 se,com.liferay.petra.sql.dsl.expression,com.liferay.petra.sql.dsl.que
 ry,com.liferay.petra.sql.dsl.query.sort,com.liferay.petra.sql.dsl.spi
 .ast,com.liferay.petra.sql.dsl.spi.expression,com.liferay.petra.sql.d
 sl.spi.query,com.liferay.petra.string,com.liferay.portal.kernel.annot
 ation;version="[7.0,8)",com.liferay.portal.kernel.application.type;ve
 rsion="[1.0,2)",com.liferay.portal.kernel.backgroundtask;version="[10
 .0,11)",com.liferay.portal.kernel.backgroundtask.display;version="[3.
 0,4)",com.liferay.portal.kernel.bean;version="[10.1,11)",com.liferay.
 portal.kernel.cache.thread.local;version="[2.0,3)",com.liferay.portal
 .kernel.change.tracking;version="[2.2,3)",com.liferay.portal.kernel.c
 omment;version="[4.0,4.1)",com.liferay.portal.kernel.concurrent;versi
 on="[8.0,9)",com.liferay.portal.kernel.configuration;version="[7.0,8)
 ",com.liferay.portal.kernel.cookies;version="[3.0,4)",com.liferay.por
 tal.kernel.dao.db;version="[10.1,11)",com.liferay.portal.kernel.dao.j
 dbc.aop;version="[7.0,8)",com.liferay.portal.kernel.dao.orm;version="
 [12.0,12.1)",com.liferay.portal.kernel.dao.search;version="[9.0,10)",
 com.liferay.portal.kernel.deploy.auto.context;version="[7.0,8)",com.l
 iferay.portal.kernel.deploy.hot;version="[7.1,8)",com.liferay.portal.
 kernel.exception;version="[13.0,14)",com.liferay.portal.kernel.fronte
 nd.esm;version="[1.0,2)",com.liferay.portal.kernel.image;version="[9.
 0,10)",com.liferay.portal.kernel.increment;version="[7.1,8)",com.life
 ray.portal.kernel.io;version="[9.0,10)",com.liferay.portal.kernel.io.
 unsync;version="[8.0,9)",com.liferay.portal.kernel.jazzy;version="[1.
 0,2)",com.liferay.portal.kernel.jmx.model;version="[7.0,8)",com.lifer
 ay.portal.kernel.jndi;version="[7.0,8)",com.liferay.portal.kernel.jso
 n;version="[11.0,12)",com.liferay.portal.kernel.jsonwebservice;versio
 n="[9.0,10)",com.liferay.portal.kernel.language;version="[11.0,12)",c
 om.liferay.portal.kernel.language.constants;version="[1.0,2)",com.lif
 eray.portal.kernel.layoutconfiguration.util.xml;version="[1.0,2)",com
 .liferay.portal.kernel.license;version="[1.0,2)",com.liferay.portal.k
 ernel.lock;version="[8.0,9)",com.liferay.portal.kernel.log;version="[
 7.1,8)",com.liferay.portal.kernel.management;version="[8.0,9)",com.li
 feray.portal.kernel.messaging;version="[13.0,13.1)",com.liferay.porta
 l.kernel.messaging.async;version="[6.2,7)",com.liferay.portal.kernel.
 mobile.device;version="[9.0,9.1)",com.liferay.portal.kernel.model.ada
 pter.builder;version="[1.0,2)",com.liferay.portal.kernel.model.change
 .tracking;version="[3.0,4)",com.liferay.portal.kernel.model.dao;versi
 on="[2.5,3)",com.liferay.portal.kernel.model.impl;version="[7.2,8)",c
 om.liferay.portal.kernel.model.portlet;version="[2.0,3)",com.liferay.
 portal.kernel.model.version;version="[3.0,4)",com.liferay.portal.kern
 el.model.wrapper;version="[3.0,4)",com.liferay.portal.kernel.module.c
 onfiguration;version="[2.1,3)",com.liferay.portal.kernel.module.frame
 work;version="[1.4,2)",com.liferay.portal.kernel.plugin;version="[7.0
 ,8)",com.liferay.portal.kernel.poller;version="[8.0,9)",com.liferay.p
 ortal.kernel.pop;version="[7.0,8)",com.liferay.portal.kernel.portlet.
 bridges.mvc.constants;version="[1.0,2)",com.liferay.portal.kernel.por
 tlet.configuration.icon.locator;version="[1.0,2)",com.liferay.portal.
 kernel.portlet.toolbar.contributor;version="[1.1,2)",com.liferay.port
 al.kernel.portlet.toolbar.contributor.locator;version="[1.0,2)",com.l
 iferay.portal.kernel.process;version="[8.0,9)",com.liferay.portal.ker
 nel.repository;version="[12.1,13)",com.liferay.portal.kernel.reposito
 ry.capabilities;version="[2.0,2.1)",com.liferay.portal.kernel.reposit
 ory.event;version="[1.1,2)",com.liferay.portal.kernel.repository.http
 .header.customizer;version="[1.0,2)",com.liferay.portal.kernel.reposi
 tory.model;version="[11.1,11.2)",com.liferay.portal.kernel.repository
 .registry;version="[1.1,2)",com.liferay.portal.kernel.repository.sear
 ch;version="[7.0,8)",com.liferay.portal.kernel.resource;version="[6.3
 ,7)",com.liferay.portal.kernel.resource.manager;version="[1.0,2)",com
 .liferay.portal.kernel.scheduler;version="[12.0,13)",com.liferay.port
 al.kernel.scheduler.messaging;version="[9.0,10)",com.liferay.portal.k
 ernel.search.background.task;version="[2.0,3)",com.liferay.portal.ker
 nel.search.facet;version="[8.0,9)",com.liferay.portal.kernel.search.f
 acet.collector;version="[6.3,7)",com.liferay.portal.kernel.search.fac
 et.config;version="[8.0,9)",com.liferay.portal.kernel.search.facet.ut
 il;version="[7.0,8)",com.liferay.portal.kernel.search.filter;version=
 "[1.0,2)",com.liferay.portal.kernel.search.generic;version="[3.0,4)",
 com.liferay.portal.kernel.search.geolocation;version="[1.0,2)",com.li
 feray.portal.kernel.search.highlight;version="[1.0,2)",com.liferay.po
 rtal.kernel.search.hits;version="[2.0,3)",com.liferay.portal.kernel.s
 earch.query;version="[1.0,2)",com.liferay.portal.kernel.search.result
 ;version="[1.0,2)",com.liferay.portal.kernel.search.suggest;version="
 [3.1,4)",com.liferay.portal.kernel.security;version="[6.2,7)",com.lif
 eray.portal.kernel.security.auth.tunnel;version="[1.0,2)",com.liferay
 .portal.kernel.security.auth.verifier;version="[2.0,3)",com.liferay.p
 ortal.kernel.security.permission.contributor;version="[1.0,2)",com.li
 feray.portal.kernel.security.permission.propagator;version="[1.0,2)",
 com.liferay.portal.kernel.security.permission.resource.definition;ver
 sion="[1.0,2)",com.liferay.portal.kernel.security.pwd;version="[3.0,4
 )",com.liferay.portal.kernel.security.xml;version="[2.0,3)",com.lifer
 ay.portal.kernel.service.change.tracking;version="[1.0,2)",com.lifera
 y.portal.kernel.service.configuration;version="[1.1,1.2)",com.liferay
 .portal.kernel.service.persistence;version="[17.0,18)",com.liferay.po
 rtal.kernel.service.persistence.change.tracking;version="[1.4,2)",com
 .liferay.portal.kernel.servlet.filters.compoundsessionid;version="[7.
 0,8)",com.liferay.portal.kernel.settings;version="[3.2,4)",com.lifera
 y.portal.kernel.spring.aop;version="[7.0,8)",com.liferay.portal.kerne
 l.spring.orm;version="[1.0,2)",com.liferay.portal.kernel.spring.osgi;
 version="[2.0,3)",com.liferay.portal.kernel.systemevent;version="[6.2
 ,7)",com.liferay.portal.kernel.trash.helper;version="[1.1,2)",com.lif
 eray.portal.kernel.upgrade;version="[19.0,20)",com.liferay.portal.ker
 nel.upgrade.util;version="[10.2,11)",com.liferay.portal.kernel.upload
 ;version="[9.0,10)",com.liferay.portal.kernel.util.comparator;version
 ="[3.1,4)",com.liferay.portal.kernel.uuid;version="[6.2,7)",com.lifer
 ay.portal.kernel.version;version="[1.1,2)",com.liferay.portal.kernel.
 webdav.methods;version="[6.2,7)",com.liferay.portal.kernel.webserver;
 version="[1.0,2)",com.liferay.portal.kernel.workflow.permission;versi
 on="[7.0,8)",com.liferay.portal.kernel.workflow.search;version="[1.0,
 2)",com.liferay.portal.kernel.xml;version="[7.1,7.2)",com.liferay.por
 tal.kernel.xml.simple;version="[6.2,7)",com.liferay.portal.kernel.xml
 rpc;version="[6.2,7)",com.liferay.portal.kernel.zip;version="[6.4,7)"
 ,com.liferay.ratings.kernel;version="[1.2,2)",com.liferay.ratings.ker
 nel.exception;version="[1.0,2)",com.liferay.ratings.kernel.model;vers
 ion="[4.1,4.2)",com.liferay.ratings.kernel.service;version="[2.6,2.7)
 ",com.liferay.ratings.kernel.transformer;version="[1.0,2)",com.lifera
 y.sites.kernel.util;version="[1.4,2)",com.liferay.social.kernel.excep
 tion;version="[1.0,2)",com.liferay.social.kernel.model;version="[6.1,
 6.2)",com.liferay.social.kernel.service;version="[3.0,3.1)",com.lifer
 ay.social.kernel.service.persistence;version="[4.2,5)",com.liferay.tr
 ash.kernel.exception;version="[1.1,2)",com.liferay.trash.kernel.model
 ;version="[5.0,5.1)",com.liferay.users.admin.kernel.file.uploads;vers
 ion="[2.0,3)",javax.mail,javax.mail.internet,javax.management,javax.n
 aming,javax.naming.directory,javax.net.ssl,javax.portlet,javax.portle
 t.annotations,javax.portlet.filter,javax.security.auth,javax.security
 .auth.callback,javax.security.auth.login,javax.security.auth.spi,java
 x.servlet,javax.servlet.http,javax.sql,javax.xml.namespace,javax.xml.
 parsers,javax.xml.stream,javax.xml.transform,org.osgi.framework,org.o
 sgi.util.tracker,org.xml.sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Fri Dec 02 00:00:00 PST 2022
Liferay-Portal-Build-Number: 7413
Liferay-Portal-Build-Time: Thu Aug 22 03:44:25 PDT 2024
Liferay-Portal-Code-Name: Cavanaugh
Liferay-Portal-Parent-Build-Number: 7413
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.4.1
 3 Update 53 (Cavanaugh / Build 7413 / December 2, 2022)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.4.
 13
Liferay-Portal-Version: 7.4.13
Liferay-Portal-Version-Display-Name: 7.4.13 Update 53
Private-Package: com.liferay.portal.kernel.internal.cache,com.liferay.
 portal.kernel.internal.dao.jdbc,com.liferay.portal.kernel.internal.da
 o.orm,com.liferay.portal.kernel.internal.security.access.control,com.
 liferay.portal.kernel.internal.security.permission.resource,com.lifer
 ay.portal.kernel.internal.service.permission,com.liferay.portal.kerne
 l.internal.service.persistence,com.liferay.portal.kernel.internal.ser
 vice.persistence.change.tracking,com.liferay.portal.kernel.internal.s
 ervlet,com.liferay.portal.kernel.internal.spring.transaction,com.life
 ray.portal.kernel.internal.util,com.liferay.portal.kernel.module.util
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Tool: Bnd-3.5.0.201709291849
